WMS-Error on QGis 1.0.0 (Kore)
Status: Closed

Priority: Low

Assignee: mikee63 -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 11619

Description

The problem is since update to v1.0.0 (KORE). The WMS-URL, wich I type was: 

http://itcgeoservices01/cgi-bin/mapserv?map=/var/www/stadtplan/stadtplan.map&#38;SERVICE=WMS. The program loads the layerlist

and when i select the layers, then i get the messages like:

Konnte nicht zeichnen sp weil:

WMS Server hat unerwarteterweise folgenden HTTP Status Code herausgegeben: 404 (Not Found)

Versuchte URL:

http://itcgeoservices01/cgi-bin/mapserv&map=/var/www/stadtplan/stadtplan.map&SERVICE=WMS?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&BBOX=4489639.227269,5696644.382491,4507009.879162,5714211.627395&SRS=EPSG:2398&WIDTH=830&HEIGHT=840&LAYERS=stadtpla

=1.1.1&REQUEST=GetMap&BBOX=4489639.227269,5696644.382491,4507009.879162,5714211.627395&SRS=EPSG:2398&WIDTH=830&HEIGHT=840&LAYERS=stadtplan_highres_farbe%2Cstadtplan_lowres_farbe%2Cstadtplan_highres_grau%2Cstadtplan_lowres_grau&STYLES=%2C%2C%2C&FORMAT=image/gif&TRANSPARENT=TRUE


WIDTH=830&HEIGHT=840&LAYERS=stadtplan_highres_farbe%2Cstadtplan_lowres_farbe%2Cstadtplan_highres_grau%2Cstadtplan_lowres_grau&STYLES=%2C%2C%2C&FORMAT=image/gif&TRANSPARENT=TRUE


dtplan_lowres_grau&STYLES=%2C%2C%2C&FORMAT=image/gif&TRANSPARENT=TRUE

The main error is the "&" after .../mapserv

QGis changed the "...mapserv?map=/var..." to "...mapserv&map=/var..."

History

#1 - 2009-02-24 08:48 AM - Jürgen Fischer

If possible check the "wms_onlineresource" value in the meta data of the WEB section of the mapfile (or the response to the [[GetCapabilities]] request).  I

expect you'll find two question marks there as QGIS doesn't append a question mark to URIs that already have one.

#2 - 2009-02-24 11:14 AM - mikee63 -

- Resolution set to wontfix

- Status changed from Open to Closed

the "wms_onlineresource" in the mapfile was the problem.

Thanks, it works.

#3 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
